import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSparePageYY (parameter) {
  return axios({
    url: '/yongyou/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSparePickFormYY (parameter) {
  return axios({
    url: '/yongyou/spare/pick/form/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSpareRestoreFormYY (parameter) {
  return axios({
    url: '/yongyou/spare/restore/form/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
